Bug 197646 - /var/yp/Makefile should fail with "(none)" yp domain
/var/yp/Makefile should fail with "(none)" yp domain
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: ypserv (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Feist
Jay Turner
:
Depends On:
Blocks: 457221
  Show dependency treegraph
 
Reported: 2006-07-05 05:36 EDT by Bastien Nocera
Modified: 2015-01-07 19:13 EST (History)
3 users (show)

See Also:
Fixed In Version: RHBA-2007-0211
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-01 18:42:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2006-07-05 05:36:22 EDT
ypserv-2.13-11

# domainname
(none)
# cd /var/yp
# make
gmake[1]: Entering directory `/var/yp/(none)'
Updating passwd.byname...
Updating passwd.byuid...
Updating group.byname...
Updating group.bygid...
Updating hosts.byname...
Updating hosts.byaddr...
Updating rpc.byname...
Updating rpc.bynumber...
Updating services.byname...
Updating services.byservicename...
Updating netid.byname...
Updating protocols.bynumber...
Updating protocols.byname...
Updating mail.aliases...
gmake[1]: Leaving directory `/var/yp/(none)'

The makefile should check that the domainname isn't (none).
Comment 1 Daniel Riek 2006-11-22 15:51:03 EST
Ypserv has been added to the list of planned components for 4.5 as an exception.
So proposing this request as well.
Comment 2 Jay Turner 2007-01-30 10:52:56 EST
QE ack for RHEL4.5.
Comment 3 Kiersten (Kerri) Anderson 2007-01-30 10:54:03 EST
Devel ACK
Comment 4 Chris Feist 2007-01-30 18:33:45 EST
This should be fixed in ypserv-2.13-15 and later.
Comment 7 Red Hat Bugzilla 2007-05-01 18:42:58 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0211.html

Note You need to log in before you can comment on or make changes to this bug.